/* Switch definitions for the Ksi compiler.
   Copyright (C) 2002 Michal Moskal <malekith@pld-linux.org>.

This file is part of GCC.

GCC is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

GCC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GCC; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */

/* This is the contribution to the `documented_lang_options' array in
   toplev.c for ksi.  */

DEFINE_LANG_NAME ("Ksi")

  { "-kpp", 
    N_("Just run file through Ksi PreProcessor") },
  { "-A<name>=<value>",
    N_("Define KPP macro") },
  { "-D<name>=<value>",
    N_("Same as -A") },
  { "-A<name>",
    N_("Same as -A<name>=1") },
  { "-D<name>",
    N_("Same as -A<name>=1") },
